package cn.lttc.modules.config;

import cn.dev33.satoken.exception.NotLoginException;
import cn.dev33.satoken.interceptor.SaInterceptor;
import cn.dev33.satoken.router.SaRouter;
import cn.dev33.satoken.stp.StpUtil;
import cn.dev33.satoken.util.SaResult;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import java.util.ArrayList;

@Configuration
public class SaTokenConfigure implements WebMvcConfigurer {
    // 注册拦截器
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // 注册 Sa-Token 拦截器，校验规则为 StpUtil.checkLogin() 登录校验。
        ArrayList<String> list = new ArrayList<>();
        list.add("/samplescan/user/login");
        list.add("/samplescan/api/upload/**");
        list.add("/favicon.ico");
        list.add("/error");
        registry.addInterceptor(new SaInterceptor(handle -> StpUtil.checkLogin()))
                .addPathPatterns("/**")
                .excludePathPatterns(list);
    }

//    @Override
//    public void addInterceptors(InterceptorRegistry registry) {
//        ArrayList<String> list = new ArrayList<>();
//        list.add("/samplescan/user/login");
//        list.add("/samplescan/api/upload/**");
//        list.add("/favicon.ico");
//        list.add("/error");
//        registry.addInterceptor(new SaInterceptor(handle -> {
//            try {
//                System.out.println("-------- 前端访问path：" + SaHolder.getRequest().getRequestPath());
//                StpUtil.checkLogin();
//                System.out.println("-------- 此 path 校验成功：" + SaHolder.getRequest().getRequestPath());
//            } catch (Exception e) {
//                System.out.println("-------- 此 path 校验失败：" + SaHolder.getRequest().getRequestPath());
//                throw e;
//            }
//        })).addPathPatterns("/**").excludePathPatterns(list);;
//    }
}
